hpp-core: hpp::core::problemTarget::TaskTarget Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::problemTarget::TaskTarget Class Reference
Path planning algorithms

`#include <hpp/core/problem-target/task-target.hh>`

Inheritance diagram for hpp::core::problemTarget::TaskTarget:
[legend]
Collaboration diagram for hpp::core::problemTarget::TaskTarget:
[legend]

## Public Member Functions
void | check (const RoadmapPtr_t &roadmap) const
| Check if the problem target is well specified.
bool | reached (const RoadmapPtr_t &roadmap) const
| Check whether the problem is solved.
PathVectorPtr_t | computePath (const RoadmapPtr_t &roadmap) const
void | constraints (const ConstraintSetPtr_t &c)
NumericalConstraints_t | constraints () const
| Return the vector of numerical constraints that define the goal.
Public Member Functions inherited from hpp::core::ProblemTarget
virtual | ~ProblemTarget ()
void | problem (const ProblemPtr_t &problem)
| Set the problem.

## Static Public Member Functions
static TaskTargetPtr_t | create (const ProblemPtr_t &problem)

## Protected Member Functions
| TaskTarget (const ProblemPtr_t &problem)
| Constructor.
Protected Member Functions inherited from hpp::core::ProblemTarget
| ProblemTarget (const ProblemPtr_t &problem)
| Constructor.
void | init (const ProblemTargetWkPtr_t &weak)
| Store weak pointer to itself.

## Additional Inherited Members
Protected Attributes inherited from hpp::core::ProblemTarget
ProblemWkPtr_t | problem_
| Reference to the planner for access to problem and roadmap.
ProblemTargetWkPtr_t | weakPtr_
| Store weak pointer to itself.

## Detailed Description

Task target

This class defines a goal using constraints. The set of goal configurations is a submanifold of the full configuration space.

Warning
  So far, this feature is not taken into account by most planners. The supported planners are:
  - DiffusingPlanner

## Constructor & Destructor Documentation

## ◆ TaskTarget()

hpp::core::problemTarget::TaskTarget::TaskTarget | ( | const ProblemPtr_t & | problem | ) |
| inlineprotected

Constructor.

## Member Function Documentation

## ◆ check()

void hpp::core::problemTarget::TaskTarget::check | ( | const RoadmapPtr_t & | roadmap | ) | const
| virtual

Check if the problem target is well specified.

Implements hpp::core::ProblemTarget.

## ◆ computePath()

PathVectorPtr_t hpp::core::problemTarget::TaskTarget::computePath | ( | const RoadmapPtr_t & | roadmap | ) | const
| virtual

Returns the solution path found. Should be called when reached() returns true.

Implements hpp::core::ProblemTarget.

## ◆ constraints() [1/2]

NumericalConstraints_t hpp::core::problemTarget::TaskTarget::constraints | ( |  | ) | const

Return the vector of numerical constraints that define the goal.

## ◆ constraints() [2/2]

void hpp::core::problemTarget::TaskTarget::constraints | ( | const ConstraintSetPtr_t & | c | ) |
| inline

## ◆ create()

static TaskTargetPtr_t hpp::core::problemTarget::TaskTarget::create | ( | const ProblemPtr_t & | problem | ) |
| static

## ◆ reached()

bool hpp::core::problemTarget::TaskTarget::reached | ( | const RoadmapPtr_t & | roadmap | ) | const
| virtual

Check whether the problem is solved.

Implements hpp::core::ProblemTarget.

The documentation for this class was generated from the following file:

- include/hpp/core/problem-target/task-target.hh